View Javadoc

    1   //
    2   // This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
    3   // See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
    4   // Any modifications to this file will be lost upon recompilation of the source schema.
    5   // Generated on: 2012.11.09 at 12:33:57 PM EST
    6   //
    7
    8
    9   package org.owasp.dependencycheck.jaxb.pom.generated;
    10
    11  import javax.annotation.Generated;
    12  import javax.xml.bind.annotation.XmlAccessType;
    13  import javax.xml.bind.annotation.XmlAccessorType;
    14  import javax.xml.bind.annotation.XmlType;
    15
    16
    17  /**
    18   * Describes where an artifact has moved to. If any of the values are omitted, it is assumed to be the
    19   *         same as it was before.
    20   *
    21   * <p>Java class for Relocation complex type.
    22   *
    23   * <p>The following schema fragment specifies the expected content contained within this class.
    24   *
    25   * <pre>
    26   * &lt;complexType name="Relocation">
    27   *   &lt;complexContent>
    28   *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
    29   *       &lt;all>
    30   *         &lt;element name="groupId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    31   *         &lt;element name="artifactId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    32   *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    33   *         &lt;element name="message" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    34   *       &lt;/all>
    35   *     &lt;/restriction>
    36   *   &lt;/complexContent>
    37   * &lt;/complexType>
    38   * </pre>
    39   *
    40   *
    41   */
    42  @XmlAccessorType(XmlAccessType.FIELD)
    43  @XmlType(name = "Relocation", propOrder = {
    44
    45  })
    46  @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    47  public class Relocation {
    48
    49      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    50      protected String groupId;
    51      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    52      protected String artifactId;
    53      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    54      protected String version;
    55      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    56      protected String message;
    57
    58      /**
    59       * Gets the value of the groupId property.
    60       *
    61       * @return
    62       *     possible object is
    63       *     {@link String }
    64       *
    65       */
    66      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    67      public String getGroupId() {
    68          return groupId;
    69      }
    70
    71      /**
    72       * Sets the value of the groupId property.
    73       *
    74       * @param value
    75       *     allowed object is
    76       *     {@link String }
    77       *
    78       */
    79      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    80      public void setGroupId(String value) {
    81          this.groupId = value;
    82      }
    83
    84      /**
    85       * Gets the value of the artifactId property.
    86       *
    87       * @return
    88       *     possible object is
    89       *     {@link String }
    90       *
    91       */
    92      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    93      public String getArtifactId() {
    94          return artifactId;
    95      }
    96
    97      /**
    98       * Sets the value of the artifactId property.
    99       *
    100      * @param value
    101      *     allowed object is
    102      *     {@link String }
    103      *
    104      */
    105     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    106     public void setArtifactId(String value) {
    107         this.artifactId = value;
    108     }
    109
    110     /**
    111      * Gets the value of the version property.
    112      *
    113      * @return
    114      *     possible object is
    115      *     {@link String }
    116      *
    117      */
    118     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    119     public String getVersion() {
    120         return version;
    121     }
    122
    123     /**
    124      * Sets the value of the version property.
    125      *
    126      * @param value
    127      *     allowed object is
    128      *     {@link String }
    129      *
    130      */
    131     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    132     public void setVersion(String value) {
    133         this.version = value;
    134     }
    135
    136     /**
    137      * Gets the value of the message property.
    138      *
    139      * @return
    140      *     possible object is
    141      *     {@link String }
    142      *
    143      */
    144     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    145     public String getMessage() {
    146         return message;
    147     }
    148
    149     /**
    150      * Sets the value of the message property.
    151      *
    152      * @param value
    153      *     allowed object is
    154      *     {@link String }
    155      *
    156      */
    157     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    158     public void setMessage(String value) {
    159         this.message = value;
    160     }
    161
    162 }